Jesus Cea <> schrieb:
>I hit the problem that ExtFile tries to import "from Shared.DC.ZRDB.TM
>import TM". Messing around a bit, I solved the issue installing
>"Products.ZSQLMethods" product (via
><>), but
>this is not working with 2.13.21. I am getting tons of upgrade
>warnings about zope packages.


i did an install of 2.13.21 one week ago by the easy_install method (with 
python2.7) as documented on the Zope2 online manual.

With 2.13.21 there was several products which are not longer part of the Zope 
core installation (bundle) and have to be installed seperately if required.

I've installed ZSQLMethods too by the easy_install method which worked for me 
without probs, as long as you did not install extensions/products by hand which 
require further newer Zope core parts - then you will get such version 
conflicts afaik. This should work with the buildout method too, but not tried 
it yet.

Do NOT install "core" products "by hand" (around the easy_install or buildout 
mech) as long as you did not checked the compatibility of that version with 
your Zope version.



Niels Dettenbach
Syndicat IT&Internet
Zope maillist  -
**   No cross posts or HTML encoding!  **
(Related lists - )

Reply via email to